Bug 657472 - checksum: wrong check sum type causes umount to fail
checksum: wrong check sum type causes umount to fail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.1
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 657499
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 03:26 EST by Jinxin Zheng
Modified: 2015-09-27 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: libguestfs-1.7.17-4.el6
Doc Type: Bug Fix
Doc Text:
The guestfish checksum command contained a file descriptor that was not closed properly in an error path. If the checksum command resulted in an error, this would later prevent the file system from being unmounted with either umount or umount-all. The file descriptor is now closed properly on the error path, so an error in checksum no longer causes problems unmounting file systems.
Story Points: ---
Clone Of:
: 657499 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jinxin Zheng 2010-11-26 03:26:25 EST
Description of problem:
Specifying an unknown check sum type in the checksum API causes the umount/umount-all to fail.

Version-Release number of selected component (if applicable):
libguestfs-1.6.2-4.el6.x86_64

How reproducible:
100%

Steps to Reproduce:

$ guestfish -a test.img
...
><fs> checksum blabla /test 
libguestfs: error: checksum: unknown checksum type, expecting crc|md5|sha1|sha224|sha256|sha384|sha512

><fs> exit
libguestfs: error: umount_all: umount: /sysroot: umount: /sysroot: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))


Expected results:
no failure when exit or umount.
Comment 2 Richard W.M. Jones 2011-01-04 09:20:00 EST
Fix included in the rebase.
Comment 3 Jinxin Zheng 2011-01-05 22:22:04 EST
Another reproducer:

$ guestfish -N fs:ext2 -m /dev/sda1 -- touch /test : checksum blabla /test

The umount error has gone away upon exit.
Comment 6 Laura Bailey 2011-04-19 02:29:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The guestfish checksum command contained a file descriptor that was not closed properly in an error path. If the checksum command resulted in an error, this would later prevent the file system from being unmounted with either umount or umount-all. The file descriptor is now closed properly on the error path, so an error in checksum no longer causes problems unmounting file systems.
Comment 7 Richard W.M. Jones 2011-04-19 03:44:21 EDT
This is fine, thanks.
Comment 8 errata-xmlrpc 2011-05-19 07:44:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html
Comment 9 errata-xmlrpc 2011-05-19 09:10:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html

Note You need to log in before you can comment on or make changes to this bug.